# This spec file has been automatically updated
Version: 29
Release:        2%{?dist}
Name:           cockpit-podman
Summary:        Cockpit component for Podman containers
License:        LGPLv2+
URL:            https://github.com/cockpit-project/cockpit-podman

Source0:        https://github.com/cockpit-project/cockpit-podman/releases/download/%{version}/cockpit-podman-%{version}.tar.gz
# related bug: https://bugzilla.redhat.com/show_bug.cgi?id=1937863
# patch:       https://patch-diff.githubusercontent.com/raw/cockpit-project/cockpit-podman/pull/688.patch
Patch0: cockpit-podman-1937863.patch
BuildArch:      noarch
BuildRequires:  libappstream-glib

Requires:       cockpit-bridge >= 138
Requires:       podman >= 1.3.0

%description
The Cockpit user interface for Podman containers.

%prep
%setup -q -n cockpit-podman

# https://bugzilla.redhat.com/show_bug.cgi?id=1937863
%patch0 -p1

%build
# Nothing to build

%install
%make_install
appstream-util validate-relax --nonet %{buildroot}/%{_datadir}/metainfo/*

%files
%doc README.md
%license LICENSE
%{_datadir}/cockpit/*
%{_datadir}/metainfo/*

%changelog
* Thu Mar 11 2021 Jindrich Novy <jnovy@redhat.com> - 29-2
- fix gating test failure for cockpit-podman
- Related: #1934415

* Mon Feb 22 2021 Jindrich Novy <jnovy@redhat.com> - 29-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/29
- Related: #1883490

* Fri Feb 12 2021 Jindrich Novy <jnovy@redhat.com> - 28.1-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/28.1
- Related: #1883490

* Wed Feb 10 2021 Jindrich Novy <jnovy@redhat.com> - 28-3
- readd cockpit-system
Related: #1914884

* Tue Feb 09 2021 Jindrich Novy <jnovy@redhat.com> - 28-2
- fix gating tests for cockpit-podman - thanks for Matej Marusak
- Related: #1883490

* Sat Feb 06 2021 Jindrich Novy <jnovy@redhat.com> - 28-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/28
- Related: #1883490

* Mon Jan 18 2021 Jindrich Novy <jnovy@redhat.com> - 27.1-4
- fix "Fix gating tests of container-tools for 8.4.0"
- Related: #1883490

* Fri Jan 15 2021 Jindrich Novy <jnovy@redhat.com> - 27.1-3
- another gating test fix - don't remove all containers but only admin ones
  thanks to Matej Marusak
- Related: #1883490

* Fri Jan 08 2021 Jindrich Novy <jnovy@redhat.com> - 27.1-2
- gating tests - always set VM password
- Related: #1883490

* Thu Jan 07 2021 Jindrich Novy <jnovy@redhat.com> - 27.1-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/27.1
- Related: #1883490

* Thu Jan 07 2021 Jindrich Novy <jnovy@redhat.com> - 27-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/27
- Related: #1883490

* Thu Dec 10 2020 Jindrich Novy <jnovy@redhat.com> - 26-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/26
- Related: #1883490

* Thu Dec 03 2020 Jindrich Novy <jnovy@redhat.com> - 25-4
- replace docker.io with quay.io for gating tests due do
  docker.io new pull rate limit requirements
- Related: #1883490

* Sat Nov 07 2020 Jindrich Novy <jnovy@redhat.com> - 25-3
- test: Cleanup images before pulling the ones we need - thanks to Matej Marusak
- Related: #1883490

* Tue Nov 03 2020 Jindrich Novy <jnovy@redhat.com> - 25-2
- remove hack in tests
- Related: #1883490

* Wed Oct 21 2020 Jindrich Novy <jnovy@redhat.com> - 25-1
- synchronize with stream-container-tools-rhel8
- Related: #1883490

* Sun Jul 26 2020 Jindrich Novy <jnovy@redhat.com> - 18.1-2
- revert back to 18.1 as this version is aimed at 8.3.0
- Related: #1821193

* Wed Jul 15 2020 Jindrich Novy <jnovy@redhat.com> - 19-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/19
- Related: #1821193

* Wed Jul 15 2020 Martin Pitt <mpitt@redhat.com> - 18.1-1
- Fix AppStream metainfo (rhbz#1854673)

* Mon Jun 15 2020 Jindrich Novy <jnovy@redhat.com> - 18-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/v18
- Related: #1821193

* Fri May 15 2020 Jindrich Novy <jnovy@redhat.com> - 17-1
- update to https://github.com/cockpit-project/cockpit-podman/releases/tag/17
- Related: #1821193

* Tue May 12 2020 Jindrich Novy <jnovy@redhat.com> - 16-1
- synchronize containter-tools 8.3.0 with 8.2.1
- Related: #1821193

* Mon Apr 20 2020 Matej Marusak <mmarusak@redhat.com> - 15-1
- Drop obsolete functionality for Fedora Atomic
- Localize dates and times
- Make tests non-destructive, to support gating
- Fix crash on filtering anonymous images
- Translation updates
- Show historical logs

* Thu Jan 09 2020 Matej Marusak <mmarusak@redhat.com> - 12-1
- Configure CPU share for system containers
- Translation updates

* Thu Nov 28 2019 Matej Marusak <mmarusak@redhat.com> - 11-1
- Fix Alert notification in Image Search Modal
- Allow more than a single Error Notification for Container action errors
- Various Alert cleanups
- Translation updates

* Wed Nov 13 2019 Matej Marusak <mmarusak@redhat.com> - 10-1
- Support for user containers
- Show list of containers that use given image
- Show placeholder while loading containers and images
- Fix setting memory limit rhbz#1732713
- Add container Terminal rhbz#1703245

* Wed Jun 26 2019 Martin Pitt <mpitt@redhat.com> - 4-1
- Fix regression in container commit
- Fix AppStream ID rhbz#1734809

* Mon Jun 17 2019 Martin Pitt <mpitt@redhat.com> - 3-1
- Enable Commit button for running containers
- Fix race condition with container deletion
- Stop fetching all containers/images for each container/image event

* Sun Jun 09 2019 Martin Pitt <mpitt@redhat.com> - 2-2
- Fix podman dependency

* Mon May 27 2019 Martin Pitt <mpitt@redhat.com> - 2-1
- Update to upstream 2 release
- Support podman API 1.3
- Support running commands with arguments
- Show the default command coming from image
- Implement filtering of images and containers

* Wed Apr 17 2019 Cockpit Project <cockpituous@gmail.com> - 1-2
- Update to upstream 1 release

